# QA Dashboard
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

from suspend.models import SuspendImage
from suspend.views import ImageView


urlpatterns = patterns(
    'suspend.views',
    url(r'^(?:arch/(?P<arch>\w+)/)?$', 'arch_overview',
        name='suspend_arch_overview'),
    url(r'^image/arch/(?P<arch>\w+)/$', 'image_overview',
        name='suspend_image_overview'),
    url(r'^image/(?P<pk>\d+)/$', ImageView.as_view(model=SuspendImage),
        name='suspend_result_details'),
)
